> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取数据源插件列表

> 列出知识流水线中已配置的数据源节点。每个节点包含其使用的插件，以及运行该节点所需的元数据。



## OpenAPI

````yaml /zh/api-reference/openapi_knowledge.json get /datasets/{dataset_id}/pipeline/datasource-plugins
openapi: 3.0.1
info:
  title: 知识库 API
  description: >-
    用于管理知识库、文档、分段、元数据和标签的 API，包括创建、检索和配置操作。**注意：**单个知识库 API
    密钥有权操作同一账户下所有可见的知识库。请注意数据安全。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Knowledge API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 知识库
    description: 用于管理知识库的操作，包括创建、配置和检索。
  - name: 文档
    description: 用于在知识库中创建、更新和管理文档的操作。
  - name: 分段
    description: 用于管理分段和子分段的操作。
  - name: 元数据
    description: 用于管理知识库元数据字段和文档元数据值的操作。
  - name: 标签
    description: 用于管理知识库标签和标签绑定的操作。
  - name: 模型
    description: 用于获取可用模型的操作。
  - name: 知识流水线
    description: 用于管理和运行知识流水线的操作，包括数据源插件和流水线执行。
paths:
  /datasets/{dataset_id}/pipeline/datasource-plugins:
    get:
      tags:
        - 知识流水线
      summary: 获取数据源插件列表
      description: 列出知识流水线中已配置的数据源节点。每个节点包含其使用的插件，以及运行该节点所需的元数据。
      operationId: listDatasourcePluginsZh
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: 知识库 ID。
        - name: is_published
          in: query
          schema:
            type: boolean
            default: true
          description: 获取已发布还是草稿流水线中的节点。`true` 返回已发布版本中的节点，`false` 返回草稿版本中的节点。
      responses:
        '200':
          description: 流水线中已配置的数据源节点列表。
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    node_id:
                      type: string
                      description: >-
                        流水线工作流中数据源节点的 ID。调用
                        [执行数据源节点](/api-reference/知识流水线/执行数据源节点) 时作为 `node_id`
                        传入，或调用 [运行流水线](/api-reference/知识流水线/运行流水线) 时作为
                        `start_node_id` 传入。
                    plugin_id:
                      type: string
                      description: 提供该节点的数据源插件的 ID。
                    provider_name:
                      type: string
                      description: 数据源插件注册的提供商名称。
                    datasource_type:
                      type: string
                      description: >-
                        数据源类型。取值为
                        `local_file`、`online_document`、`online_drive`、`website_crawl`
                        之一。
                    title:
                      type: string
                      description: 为该节点配置的显示标题。
                    user_input_variables:
                      type: array
                      description: >-
                        调用方需要为该数据源提供的流水线输入变量，来自节点数据源参数中 `{{#...#}}`
                        引用的变量。每一项遵循工作流使用的流水线变量结构。
                      items:
                        type: object
                        additionalProperties: true
                    credentials:
                      type: array
                      description: 可用于对该数据源进行认证的凭证列表。
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            description: >-
                              凭证 ID。调用 [执行数据源节点](/api-reference/知识流水线/执行数据源节点)
                              时作为 `credential_id` 传入，或作为
                              [运行流水线](/api-reference/知识流水线/运行流水线) 各数据源项中的
                              `credential_id` 字段。
                          name:
                            type: string
                            description: 凭证的显示名称。
                          type:
                            type: string
                            description: 数据源插件定义的凭证类型。
                          is_default:
                            type: boolean
                            description: 该凭证是否为提供商的默认凭证。
              examples:
                success:
                  summary: 响应示例
                  value:
                    - node_id: '1719288585006'
                      plugin_id: langgenius/notion_datasource
                      provider_name: notion
                      datasource_type: online_document
                      title: Notion Documents
                      user_input_variables: []
                      credentials:
                        - id: c1d2e3f4-a5b6-7890-abcd-ef1234567890
                          name: Production Notion
                          type: api-key
                          is_default: true
        '404':
          description: '`not_found` : 未找到知识库。'
          content:
            application/json:
              examples:
                not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Dataset not found.
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````